/*
 *
 * Copyright (c) 2025. Jeffery Hsu - Achievement Report Generator
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 */

// 考核方式
export interface IAssmentMethod {
  method: string // 方式
  weight: number // 权重
}

// 考核阶段
export interface IAssment {
  method: IAssmentMethod[] // 方式
  weight: number // 权重
}

// 学生
export interface IStudent {
  serialNumber: string // 学号
  name: string // 姓名
  className: string // 班级
  major: string // 专业
  resitTag: boolean // 重修标记
}

// 课程
export interface ICourse {
  name: string // 课程名称
  id: string // 课号
  campus: string // 开课学院
  teacher: string // 任课教师
  master: string // 课程负责人
  credit: number // 学分
  className: string // 教学班级
}

// 课程目标比重
export interface IGoalWeight {
  stage: IAssment // 阶段
  weight: number // 比重
}

// 课程目标
export interface IGoal {
  importance: 'H' | 'M' | 'L' // 强弱支持
  target: string // 目标
  indicator: string // 指标点
  weight: IGoalWeight[] // 比重
}
